ChangeSet 1.1254.4.20, 2003/06/04 12:31:15-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/char/agp/isoch.c


 drivers/char/agp/isoch.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/char/agp/isoch.c b/drivers/char/agp/isoch.c
--- a/drivers/char/agp/isoch.c	Wed Jun  4 18:10:51 2003
+++ b/drivers/char/agp/isoch.c	Wed Jun  4 18:10:51 2003
@@ -316,7 +316,7 @@
  */
 int agp_3_5_enable(struct agp_bridge_data *bridge)
 {
-	struct pci_dev *td = bridge->dev, *dev;
+	struct pci_dev *td = bridge->dev, *dev = NULL;
 	u8 mcapndx;
 	u32 isoch, arqsz;
 	u32 tstatus, mstatus, ncapid;
@@ -347,7 +347,7 @@
 	INIT_LIST_HEAD(head);
 
 	/* Find all AGP devices, and add them to dev_list. */
-	pci_for_each_dev(dev) { 
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		mcapndx = pci_find_capability(dev, PCI_CAP_ID_AGP);
 		if (mcapndx == 0)
 			continue;
